scala

# Product6

#### trait Product6[+T1, +T2, +T3, +T4, +T5, +T6] extends Product

Product6 is a cartesian product of 6 components.

Source
  Product6.scala
Since

  2.3

Linear Supertypes
Product, Equals, Any
Known Subclasses
Tuple6
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Product6
2. Product
3. Equals
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def _1: T1

   A projection of element 1 of this Product.

   A projection of element 1 of this Product.

   returns

     A projection of element 1.

2. #### abstract def _2: T2

   A projection of element 2 of this Product.

   A projection of element 2 of this Product.

   returns

     A projection of element 2.

3. #### abstract def _3: T3

   A projection of element 3 of this Product.

   A projection of element 3 of this Product.

   returns

     A projection of element 3.

4. #### abstract def _4: T4

   A projection of element 4 of this Product.

   A projection of element 4 of this Product.

   returns

     A projection of element 4.

5. #### abstract def _5: T5

   A projection of element 5 of this Product.

   A projection of element 5 of this Product.

   returns

     A projection of element 5.

6. #### abstract def _6: T6

   A projection of element 6 of this Product.

   A projection of element 6 of this Product.

   returns

     A projection of element 6.

7. #### abstract def canEqual(that: Any): Boolean

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

   that

     the value being probed for possible equality

   returns

     true if this instance can possibly equal `that`, otherwise false

   Definition Classes
     Equals

8. #### abstract def getClass(): Class[_]

   Returns the runtime class representation of the object.

   Returns the runtime class representation of the object.

   returns

     a class object corresponding to the runtime type of the receiver.

   Definition Classes
     Any

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

4. #### def ->[B](y: B): (Product6[T1, T2, T3, T4, T5, T6], B)

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to ArrowAssoc[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### def ensuring(cond: (Product6[T1, T2, T3, T4, T5, T6]) ⇒ Boolean, msg: ⇒ Any): Product6[T1, T2, T3, T4, T5, T6]

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to Ensuring[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2Ensuring in scala.Predef.
   Definition Classes
     Ensuring

8. #### def ensuring(cond: (Product6[T1, T2, T3, T4, T5, T6]) ⇒ Boolean): Product6[T1, T2, T3, T4, T5, T6]

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to Ensuring[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: Boolean, msg: ⇒ Any): Product6[T1, T2, T3, T4, T5, T6]

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to Ensuring[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean): Product6[T1, T2, T3, T4, T5, T6]

    Implicit information
      This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to Ensuring[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def equals(arg0: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

12. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

13. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Any

14. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

15. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      6

    Definition Classes
      Product6 → Product

16. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product6 → Product
    Annotations
      @throws( cause = classOf[IndexOutOfBoundsException] )
    Exceptions thrown
      IndexOutOfBoundsException

17. #### def productIterator: Iterator[Any]

    An iterator over all the elements of this product.

    An iterator over all the elements of this product.

    returns

      in the default implementation, an `Iterator[Any]`

    Definition Classes
      Product

18. #### def productPrefix: String

    A string used in the `toString` methods of derived classes.

    A string used in the `toString` methods of derived classes. Implementations may override this method to prepend a string prefix to the result of `toString` methods.

    returns

      in the default implementation, the empty string

    Definition Classes
      Product

19. #### def toString(): String

    Returns a string representation of the object.

    Returns a string representation of the object.

    The default representation is platform dependent.

    returns

      a string representation of the object.

    Definition Classes
      Any

20. #### def →[B](y: B): (Product6[T1, T2, T3, T4, T5, T6], B)

    Implicit information
      This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to ArrowAssoc[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (product6: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (product6: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Product6[T1, T2, T3, T4, T5, T6]

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to ArrowAssoc[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (product6: ArrowAssoc[Product6[T1, T2, T3, T4, T5, T6]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Product6[T1, T2, T3, T4, T5, T6]

   Implicit information
     This member is added by an implicit conversion from Product6[T1, T2, T3, T4, T5, T6] to Ensuring[Product6[T1, T2, T3, T4, T5, T6]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (product6: Ensuring[Product6[T1, T2, T3, T4, T5, T6]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Product

### Inherited from Equals

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Product6[T1, T2, T3, T4, T5, T6] to StringAdd

### Inherited by implicit conversion any2stringfmt from Product6[T1, T2, T3, T4, T5, T6] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Product6[T1, T2, T3, T4, T5, T6] to ArrowAssoc[Product6[T1, T2, T3, T4, T5, T6]]

### Inherited by implicit conversion any2Ensuring from Product6[T1, T2, T3, T4, T5, T6] to Ensuring[Product6[T1, T2, T3, T4, T5, T6]]

### Ungrouped